/* Text_MiscExtensions.h				 
 *
 * This category makes dealing with the Text object easier. 
 * See the docu for details.
 *
 * Usage: ....
 *
 * Written by: 		Thomas Engel
 * Created:    		30.01.1995 (Copyleft)
 * Last modified: 	30.01.1995
 */

#import <appkit/appkit.h>

@interface Text(MoreMiscExtensions)


// Working with selections and pasteboards

- copyTo:aPasteboard;
- cutTo:aPasteboard;
- pasteFrom:aPasteboard;

- (BOOL)hasEmptySelection;
- (BOOL)hasInvalidSelection;
- setSelToStart;
- setSelToEnd;
- selectTrueLine:(int)line;

- findPerviousWord;
- findNextWord;
- (BOOL)findText:(const char *)string ignoreCase:(BOOL)ignoreCaseflag backwards:(BOOL)backwardsflag wrap:(BOOL)wrapflag font:aSharedFont;

- substringFromLine:(int)line;

// Working with Text runs and their information

- (NXRun *)textRunForPosition:(int)position;

- fontsInsideSelection;
- fontAtPosition:(int)position;

@end

/*
 * History: 30.01.95 Buh
 *			
 *
 * Bugs: - ...
 */